<app-loading *ngIf="isLoading"></app-loading>
<div class="cotainer-manage-line">
  <div     nz-col
  nz-resizable
  (nzResize)="onResize($event)"
  [nzMinColumn]="5"
  [nzMaxColumn]="20"
  [nzGridColumnCount]="24"
  [nzSpan]="col"
    class="modal-left">
    <nz-resize-handles></nz-resize-handles>
    <div style="
    height: 98px;
    position: relative;
    margin-top: 0px;
    display: flex;
    align-items: center;
    /* top: -10px; */
    /* background-image: url(./../../../../assets/images/icon/image-organization.svg) */
    ">
      <div style="    margin-left: 16px;
      margin-right: 16px;
      width: 100%;
  ">
        <div class="cotainer-manage-line__search">
          <p style="color: black; font-weight: bold;
        font-size: 16px;">Cây line</p>
          <em nz-icon nzType="menu" nzTheme="outline" (click)="goToListPage()"></em>
        </div>

        <div>
          <nz-input-group [nzPrefix]="prefixTemplateUser" style="border-radius: 8px">
            <input type="text" nz-input nz-dropdown [nzDropdownMenu]="menu" [nzVisible]="true"
              placeholder="Tìm kiếm line" #input />
          </nz-input-group>
          <ng-template #prefixTemplateUser><em style="vertical-align: text-bottom;" nz-icon nzType="search"></em>
          </ng-template>

          <nz-dropdown-menu #menu="nzDropdownMenu">
            <ul style="overflow: auto"
              [ngStyle]="{'display':dataDropdown.length > 0 && !hideListDropdown ? 'block' : 'none', 'height': dataDropdown.length === 1 ? '50px' : '300px'  }"
              nz-menu nzSelectable>
              <li *ngFor="let data of dataDropdown" nz-menu-item (click)="selectedNodeId(data.id)">{{data.name}}
              </li>
            </ul>
          </nz-dropdown-menu>
        </div>
      </div>
    </div>
    <div class="modal-left__tree">
      <nz-tree [nzData]="treeLine" [nzExpandedIcon]="multiExpandedIconTpl"  [nzTreeTemplate]="nzTreeTemplate">
        <ng-template #multiExpandedIconTpl let-node>
          <button class="icon-expand">
            <div style="display: flex;">
              <img *ngIf="!node.isExpanded" alt="" class="modal-left__tree__icon"
                   src="../../../../../assets/images/icon/add-org(1).svg" />
              <img alt="" class="modal-left__tree__icon" src="../../../../../assets/images/icon/minus-org.svg"
                   *ngIf="node.isExpanded" />
            </div>
          </button>
        </ng-template>
        <ng-template #nzTreeTemplate let-node>
          <nz-dropdown-menu #menu="nzDropdownMenu">
            <ul nz-menu class="ant-dropdown-menu-custom">
              <div>
                <li nz-menu-item (click)="redrirectToAddLine(true, node.origin)">
                  <img src="assets/images/icon/add_circle_outline.svg" alt="">
                  <span nz-typography class="main-model-organization__tooltip__menu--item__text pl-10">Thêm line trực
                    thuộc</span>
                </li>
                <li nz-menu-divider></li>
              </div>
              <div>
                <li nz-menu-item (click)="assignInfoLine(node.origin.id)">
                  <img src="assets/images/icon/icon_assign.svg" alt="">
                  <span nz-typography class="main-model-organization__tooltip__menu--item__text pl-10">Gán thông tin
                    line</span>
                </li>
                <li nz-menu-divider></li>
              </div>
              <div>
                <li nz-menu-item (click)="redrirectToEditLine(true,node.origin.id)">
                  <img src="assets/images/icon/icon_edit.svg" alt="">
                  <span nz-typography class="main-model-organization__tooltip__menu--item__text pl-10">Điều chỉnh
                    line</span>
                </li>
                <li nz-menu-divider></li>
              </div>
            </ul>
          </nz-dropdown-menu>
          <div nz-dropdown nzTrigger="click" [nzDropdownMenu]="menu" nzOverlayClassName="ant-dropdown-menu-custom">
            {{node.title}}
          </div>
        </ng-template>
      </nz-tree>
    </div>
  </div>
  <div class="modal-right" nz-col [nzSpan]="24 - col"  #scoll (scroll)="onScroll($event)" [ngStyle]="{height: 'calc(100vh - 192px)', overflow: 'auto'}">
    <div class="content-header">
      <div class="main-manage-line__right">
        <mb-button mbButtonSize='LARGE' mbButtonAvailableStyle='PRIMARY' (click)="redrirectToAddLine(false, '')"
          *ngIf="objFunction?.create" mbButtonText='Thêm mới'></mb-button>
        <mb-button mbButtonSize='LARGE' mbButtonAvailableStyle='PRIMARY' (click)="validateRequest()" [mbIsDisable]="isLoading"
          *ngIf="objFunction?.create" mbButtonText='Chuyển duyệt'></mb-button>
      </div>
    </div>

    <nz-card class="main-init-line-card">
      <form [formGroup]="lineForm" nz-form>
        <div nz-row>
          <div nz-col nzSpan="8" class="main-init-line-card__left">
<!--            <mb-input-text formControlName="lineManage"-->
<!--              [mbType]="isSubmitted && (lineForm.controls['lineManage'].errors) ? 'error' : 'default'"-->
<!--              [mbShowError]="isSubmitted && (lineForm.controls['lineManage'].errors) !== null" [mbMaxLength]="400"-->
<!--              mbLabelText="{{'Line quản lý' | translate}}">-->
<!--            </mb-input-text>-->
            <mb-select [mbShowSearch]="true" [mbDataSelects]="lineListTmp" mbKeyValue="id" mbKeyLabel="name"
                       formControlName="lineManage"
                       mbLabelText="{{'Line quản lý' | translate}}"
                       mbPlaceholder="{{'Chọn line quản lý' | translate}}">
            </mb-select>
          </div>
          <div nz-col nzSpan="8" class="main-init-line-card__center">
            <mb-input-text formControlName="name" [defaultInput]='true'
              [mbType]="isSubmitted && (lineForm.controls['name'].errors || isDupLine) ? 'error' : 'default'"
              [mbShowError]="isSubmitted && (lineForm.controls['name'].errors) !== null" [mbMaxLength]="400"
              mbLabelText="{{'Line' | translate}} <span class='label__required'>*</span>"
              [mbErrors]="lineForm.controls['name'].errors" [mbErrorDefs]="[
            { errorName: 'required', errorDescription: 'Vui lòng nhập line'}]" (keypress)="onKeypress($event)"
              (keyup)="handleChangeLine($event)">
            </mb-input-text>
            <div class="error" *ngIf="isDupLine">
              <em nz-icon nzType="close-circle" nzTheme="outline"></em>
              <span>Line đã tồn tại</span>
            </div>
          </div>
          <div nz-col nzSpan="8" class="main-init-line-card__right">
            <mb-date-picker formControlName="fromDate" mbFormat="dd/MM/yyyy"
              mbLabelText="{{'Ngày hiệu lực' | translate}} <span class='label__required'>*</span>" mbPlaceholderText="dd/mm/yyyy"
              [mbType]="isSubmitted && (lineForm.controls['fromDate'].errors)? 'error': 'default' "
              [mbShowError]="isSubmitted && (lineForm.controls['fromDate'].errors) !== null"
              [mbErrors]="lineForm.controls['fromDate'].errors" [mbErrorDefs]="[
            { errorName: 'required', errorDescription: 'Vui lòng nhập ngày hiệu lực'}]"></mb-date-picker>
          </div>
        </div>
        <div nz-col nzSpan="8" class="main-init-line-card__left">
          <div class="margin-top">
            <mb-date-picker formControlName="toDate" mbFormat="dd/MM/yyyy"
              mbLabelText="{{'Ngày hết hiệu lực' | translate}}" mbPlaceholderText="dd/mm/yyyy"></mb-date-picker>
          </div>
        </div>
      </form>
    </nz-card>

  <div class="mb-tab">
    <nz-tabset nzType="editable-card" nzHideAdd (nzSelectedIndexChange)="changeTab($event)" [nzTabBarGutter]="0">
        <nz-tab nzTitle="HO">
            <div class="ant-table-content">
                <nz-table #basicTable1 [nzData]="dataTableGroup" [nzShowPagination]="false" nzTableLayout="fixed"
                    nzSize="small">
                    <thead>
                        <tr>
                            <th scope="col">{{'modelOrganization.table.unit' | translate}}</th>
                            <th scope="col">{{'modelOrganization.table.job' | translate}}</th>
                            <th scope="col" nzRight nzWidth="100px"></th>
                        </tr>
                    </thead>
                    <tbody>
                        <tr *ngFor="let data of dataTableGroup,  let i = index">
                            <td>
                                <mb-input-text [mbMaxLength]="255" [(ngModel)]="data.pathName" [mbLabelText]="null" [mbReadOnly]="true"
                                    [mbConfig]="{labelText:null, groupType:'icon', suffixIcon:'down'}"
                                    mbPlaceholderText="{{'modelOrganization.placeHoder.chooseUnit' | translate}}"
                                    [nzTrigger]="'click'" (ngModelChange)="changePopup($event)" [nzClickHide]="false" (nzVisibleChange)="onClickOrg($event)"
                                    nz-dropdown [nzDropdownMenu]="menuCriteria" nzOverlayClassName="dropdown-unit"
                                    [(nzVisible)]="data.isVisible"></mb-input-text>
                            </td>
                            <td>
                                <app-job-select [list-input]="data.jobs" [height]="'44px'" [showCheckAll]="true"
                                    [fontSize]="'14px'" [list-select]="data.jobSelect" [key]="'jobId'"
                                    [value]="'jobName'" [error]="data?.jobSelect?.length === 0 && isSubmitted"
                                                [errorMessage]="'modelOrganization.validate.selectJob' | translate">
                                </app-job-select>
                            </td>
                            <td nzRight>
                                <div class="action">
                                    <a (click)="addOrgLine()"><img src="assets/images/icon/add_circle_outline.svg"
                                            alt=""></a>
                                    <a *ngIf="dataTableGroup.length > 1" (click)="removeOrgLine(i)"><img
                                            src="assets/images/icon/delete_outline.svg" alt=""></a>
                                </div>
                            </td>
                        </tr>
                    </tbody>
                </nz-table>
            </div>
        </nz-tab>
        <nz-tab nzTitle="Chi nhánh">
            <nz-table #basicTable2 [nzData]="this.dataTableLine[0]?.pgrId ? [''] : []" [nzShowPagination]="false" nzTableLayout="fixed" nzSize="small">
                <thead>
                    <tr>
                        <th scope="col">
                            <div class="table__colum--title">
                                {{'modelOrganization.table.job' | translate}}
                            </div>
                        </th>
                    </tr>
                </thead>
                <tbody>
                    <tr *ngFor="let data of basicTable2.data,  let i = index">
                        <td *ngIf="this.dataTableLine[0]?.pgrId">
                            <app-job-select [list-input]="listJobCn" [list-select]="listJobCnSelect"
                                            [showCheckAll]="true" [value]="'jobName'" [fontSize]="'14px'" [key]="'jobId'" [height]="'44px'">
                            </app-job-select>
                        </td>
                    </tr>
                </tbody>
            </nz-table>
        </nz-tab>
    </nz-tabset>
</div>

<ng-container>
    <nz-dropdown-menu #menuCriteria="nzDropdownMenu">
        <div class="org-select">
            <div class="org-select__title">
                <span> {{'modelOrganization.label.chooseUnit' | translate}}</span>
            </div>
            <div class="org-select__input" *ngIf='isOpenOrg'>
                <mb-input-text [mbMaxLength]="255" [mbLabelText]="null" [removeMinHeight]="true" #inputText
                    [(ngModel)]="dataSearch" (mbChange)="changeValue($event)"
                    mbPlaceholderText="{{'modelOrganization.placeHoder.typing' | translate}}" [isFocus]='true'>
                </mb-input-text>
            </div>
          <div class="org-select__title--switch">
            <nz-switch nzSize="small" [(ngModel)]="selectAll" (ngModelChange)="change($event)"></nz-switch>
            <span>{{'modelOrganization.label.chooseAll' | translate}}</span>
          </div>
            <div class="org-select__list">
                <ul nz-menu *ngFor="let item of orgListFilter; trackBy:trackByFn">
                    <li nz-menu-item nz-checkbox [ngModel]="mapOrgSelect.has(item.orgId)"
                        (ngModelChange)="onSelect(item)" class="org-select__list--line">
                        <span nzTooltipTitle="{{item.pathName}}" nzTooltipPlacement="bottomRight"
                        [nzTooltipOverlayClassName]="item.pathName?.length > 80 ? '' : 'tooltip-hide'"
                          nz-tooltip>{{item.pathName?.length > 80 ? item.pathName.substring(0,80) + '...' : item.pathName}}</span></li>
                </ul>
                <nz-empty nzNotFoundImage="simple" *ngIf="orgListFilter.length === 0"></nz-empty>
            </div>
            <div class="org-select__footer">
                <button class="org-select__footer--button" (click)="selectOrg()">{{'modelOrganization.button.chooseUnit' | translate}}</button>
            </div>
        </div>
    </nz-dropdown-menu>
</ng-container>
</div>
</div>
